From 78f8880a3d9c1e37548b5146d9f61f05ab7032ea Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Mardelle <jb@kdenlive.org>
Date: Fri, 31 Jan 2020 13:26:25 +0100
Subject: Fix crash on exit

---
 src/effects/effectlist/view/effectlistwidget.cpp             | 1 -
 src/timeline2/view/timelinetabs.cpp                          | 6 ++++++
 src/timeline2/view/timelinetabs.hpp                          | 2 +-
 src/transitions/transitionlist/view/transitionlistwidget.cpp | 1 -
 4 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/src/effects/effectlist/view/effectlistwidget.cpp b/src/effects/effectlist/view/effectlistwidget.cpp
index c734e15..66b9a94 100644
--- a/src/effects/effectlist/view/effectlistwidget.cpp
+++ b/src/effects/effectlist/view/effectlistwidget.cpp
@@ -60,7 +60,6 @@ void EffectListWidget::updateFavorite(const QModelIndex &index)
 
 EffectListWidget::~EffectListWidget()
 {
-    delete m_proxy;
     qDebug() << " - - -Deleting effect list widget";
 }
 
diff --git a/src/timeline2/view/timelinetabs.cpp b/src/timeline2/view/timelinetabs.cpp
index 74bb10b..9a72729 100644
--- a/src/timeline2/view/timelinetabs.cpp
+++ b/src/timeline2/view/timelinetabs.cpp
@@ -57,6 +57,12 @@ TimelineTabs::TimelineTabs(QWidget *parent)
     connect(pCore->monitorManager()->projectMonitor(), &Monitor::addEffect, m_mainTimeline->controller(), &TimelineController::addEffectToCurrentClip);
 }
 
+TimelineTabs::~TimelineTabs()
+{
+    // clear source
+    m_mainTimeline->setSource(QUrl());
+}
+
 TimelineWidget *TimelineTabs::getMainTimeline() const
 {
     return m_mainTimeline;
diff --git a/src/timeline2/view/timelinetabs.hpp b/src/timeline2/view/timelinetabs.hpp
index aba3e23..977af13 100644
--- a/src/timeline2/view/timelinetabs.hpp
+++ b/src/timeline2/view/timelinetabs.hpp
@@ -49,7 +49,7 @@ class TimelineTabs : public QTabWidget
 public:
     /* Construct the tabs as well as the widget for the main timeline */
     TimelineTabs(QWidget *parent);
-
+    virtual ~TimelineTabs();
     /* @brief Returns a pointer to the main timeline */
     TimelineWidget *getMainTimeline() const;
 
diff --git a/src/transitions/transitionlist/view/transitionlistwidget.cpp b/src/transitions/transitionlist/view/transitionlistwidget.cpp
index 309de55..afd122f 100644
--- a/src/transitions/transitionlist/view/transitionlistwidget.cpp
+++ b/src/transitions/transitionlist/view/transitionlistwidget.cpp
@@ -53,7 +53,6 @@ TransitionListWidget::TransitionListWidget(QWidget *parent)
 
 TransitionListWidget::~TransitionListWidget()
 {
-    delete m_proxy;
     qDebug() << " - - -Deleting transition list widget";
 }
 
-- 
cgit v1.1

